AbstractReferenceFilter
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.relation
Class AbstractReferenceFilter

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.AbstractSMSFilter
          org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.relation.AbstractReferenceFilter

All Implemented Interfaces:
  ReferenceFilter, SMSFilter

Direct Known Subclasses:
  ReferenceSourceFilter, ReferenceTargetFilter

    public abstract class AbstractReferenceFilter

extends AbstractSMSFilter
implements ReferenceFilter

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`AbstractReferenceFilter(ReferenceFilterType relationFilterType, java.lang.String primaryRole, java.lang.String secondaryRole)`

Method Summary
`java.lang.String` | `getPrimaryRole()`
`ReferenceFilterType` | `getReferenceFilterType()`
`java.lang.String` | `getSecondaryRole()`

Methods inherited from class org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.AbstractSMSFilter
`getType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.filter.SMSFilter
`getType`

Constructor Detail

### AbstractReferenceFilter

    public AbstractReferenceFilter(ReferenceFilterType relationFilterType,
                                   java.lang.String primaryRole,
                                   java.lang.String secondaryRole)

Method Detail

### getReferenceFilterType

    public ReferenceFilterType getReferenceFilterType()

  Specified by:
    `getReferenceFilterType` in interface `ReferenceFilter`
  Returns:
    the referenceFilterType

### getPrimaryRole

    public java.lang.String getPrimaryRole()

  Specified by:
    `getPrimaryRole` in interface `ReferenceFilter`
  Returns:
    the primaryRole

### getSecondaryRole

    public java.lang.String getSecondaryRole()

  Specified by:
    `getSecondaryRole` in interface `ReferenceFilter`
  Returns:
    the secondaryRole

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD